@echo off

set p=%~dp0

rem When archiver/util
call "%p%\..\system\setenv.bat"
rem When other
rem set DOCARC_HOME=C:\SPA\archiver

set DOCARC_JAVA=%DOCARC_HOME%\jre
set TOOL_LIB=%p%lib
set PROP="%DOCARC_HOME%\util\conf\spa-command.properties"
set LOADER=com.fourclue.commons.scramble.ScrambleMain
set CLASSPATH=%TOOL_LIB%\*;

"%DOCARC_JAVA%\bin\java.exe" -classpath "%CLASSPATH%" %LOADER% com.wingarc.svf.pdfarchiver.spa31897.command.DocumentCountCommand -prop %PROP% %*
set RETCODE=%ERRORLEVEL%

if {%RETCODE%}=={0} (goto :confirm)

@echo on
@exit /b %RETCODE%

:confirm

set ANSWER=
set /p ANSWER="Do you want to run the check? [y/n] "

if /i {%ANSWER%}=={y} (goto :check)
if /i {%ANSWER%}=={yes} (goto :check)

@echo on
@exit /b %RETCODE%

:check

@rem run
"%DOCARC_JAVA%\bin\java.exe" -classpath "%CLASSPATH%" %LOADER% com.wingarc.svf.pdfarchiver.spa31897.command.FindLostHistoryCommand -prop %PROP% %*
set RETCODE=%ERRORLEVEL%

@echo on
@exit /b %RETCODE%
